<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/IDL/omni.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.IDL.omni</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Parsers.html" >Parsers</a>.<a href="../IDL.html" >IDL</a>.omni

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="omni/TypeTranslator.html" >TypeTranslator</a></div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.omni.TypeTranslator" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/omni.py.html#line25" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="omni/ASGTranslator.html" >ASGTranslator</a></div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.omni.ASGTranslator" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/omni.py.html#line106" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="omni.html#strip_filename" >strip_filename</a></span>(<span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../../XRef/xref22.html#Synopsis.Parsers.IDL.omni.strip_filename" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/omni.py.html#line17" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="parse">parse</a>(<span class="variable">ir</span>, <span class="variable">cppfile</span>, <span class="variable">src</span>, <span class="variable">primary_file_only</span>, <span class="variable">base_path</span>, <span class="variable">verbose</span>, <span class="variable">debug</span>)  </div> <div class="xref"><a href="../../../../XRef/xref22.html#Synopsis.Parsers.IDL.omni.parse" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/omni.py.html#line432" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="sourcefile">sourcefile</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/omni.py.html#line15" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="omni/TypeTranslator.html" >TypeTranslator</a></div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.omni.TypeTranslator" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/omni.py.html#line25" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">maps idltype objects to ASG.TypeId objects in a ASG.Dictionary</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Functions Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="strip_filename">strip_filename</a>(<span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../../XRef/xref22.html#Synopsis.Parsers.IDL.omni.strip_filename" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/omni.py.html#line17" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">This is aliased as strip if -b used and basename set</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:58 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
